import { type ActiveRecord, type RuntimeM2OField, type RuntimeSearchField, SubmitValue } from '@oinone/kunlun-engine';
import { SelectMode } from '@oinone/kunlun-vue-ui-common';
import { FormCascaderFieldWidget } from '../../cascader';
export declare class SearchM2OCascaderFieldWidget extends FormCascaderFieldWidget<ActiveRecord | ActiveRecord[], RuntimeM2OField & RuntimeSearchField> {
    protected get operator(): string | undefined;
    protected get selectMode(): SelectMode;
    protected get multipleCheckedStrategy(): string;
    submit(submitValue: SubmitValue): Promise<import("@oinone/kunlun-engine").SubmitRelationValue | Record<string, unknown> | undefined>;
    protected $$mounted(): void;
}
